## hdf-eos4 3.0

=== debian/changelog ===
hdf-eos4 (3.0-2) unstable; urgency=medium

  * Push to unstable. Closes: #1108649

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 11:20:14 +0100

hdf-eos4 (3.0-2~exp1) experimental; urgency=medium

  * Drop B-D on dh-buildinfo
  * Move from hdf4-alt to hdf4
  * Standards-Version: 4.7.2
  * Set maintainer as Science Maintainers

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Jul 2025 12:17:45 +0100

hdf-eos4 (3.0-1) unstable; urgency=medium

  * New upstream release
    - Drop fix_tests.patch
  * Fix FTBFS with gcc 14. Closes: #1075062
  * Use https for Homepage:
  * Set Build-Depends to gfortran | fortran-compiler
  * User debhelper-compat (=13)
  * Add d/gbp.conf pointing to DEP-14 branch names
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Recommend pkgconf not pkg-config

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Aug 2024 09:54:48 +0100
