=== debian/control ===
Source: hdf-eos4
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 4.7.2
Homepage: https://www.hdfeos.org
Vcs-Browser: https://salsa.debian.org/science-team/hdf-eos4.git
Vcs-Git: https://salsa.debian.org/science-team/hdf-eos4.git -b debian/latest
Build-Depends: debhelper-compat  (= 13),
 gfortran | fortran-compiler,
 libhdf4-dev,
 libaec-dev,
 libjpeg-dev,
 libgctp-dev,
 zlib1g-dev

Package: libhdfeos0t64
Provides: ${t64:Provides}
Replaces: libhdfeos0
Breaks: libhdfeos0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Earth Observation System extensions to HDF4
 HDF-EOS4 is a software library designed built on HDF4 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 The library is extensible and new data structures can be added.

Package: libhdfeos-dev
Architecture: any
Section: libdevel
Depends: libhdfeos0t64 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
recommends: pkgconf
Description:  Development files for the HDF-EOS4 library
 HDF-EOS4 is a software library designed built on HDF4 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 .
 This package contains include files and static libraries for HDF-EOS4.
